import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;


/**
 * Beispiel eines einfachen Servlets,
 * das ein Excel-Sheet zurckliefert
 */
public class SylkServlet extends HttpServlet {
  public void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    try {
      // Initialisieren Sylk-Object mit einer Matrix 10 Zeilen x 10 Spalten
      Sylk sylk = new Sylk(10, 10);

      // Schleife ueber 10 Zeilen
      for (int i = 1; i <= 10; i++) {
        // Schleife ueber 10 Spalten
        for (int j = 1; j <= 10; j++) {
          sylk.setCell(i, j, "" + (i * j));
        }
      }

      // Content(MIME)-Typ festlegen
      response.setContentType("application/vnd.ms-excel");

      // Ausgabe Excel-Sheet
      sylk.write(response.getOutputStream());
    } catch (Exception e) {
      System.err.println(e.getMessage());
      e.printStackTrace();
    }
  }
}

