// package dein.package;

import java.io.*;


/**
 * Beispiel eines einfachen Programms,
 * das ein Excel-Sheet erzeugt
 */
public class SylkToFile {
  public static void main(String[] args) {
    try {
      System.out.println("SylkToFile: Test Excel-Export");
      // Initialisieren Sylk-Object
      Sylk sylk = new Sylk(11, 11);

      // Schleife ueber 10 Zeilen
      for (int i = 1; i <= 10; i++) {
        // Schleife ueber 10 Spalten
        for (int j = 1; j <= 10; j++) {
          sylk.setCell(i, j, (double) (i * j));
        }
      }

      // Test Summenformel
      // for (int i = 1; i <= 9; i++) {
      // sylk.setCellSummeFormel(11, i, 1, i, 10, i);
      // }

      // Setzen der Bedingungen fuer die Summe-Wenn-Formel
      // Schleife ueber 10 Zeilen
      // for (int i = 1; i <= 10; i++) {
      // // if-Block fuer jede zweite Zeile ausfuehren
      // if ((i % 2) == 0) {
      // sylk.setCell(i, 11, "A");
      // }
      // }

      // Test Summe-Wenn
      // sylk.setCellSummeWennFormel(11, 10, 1, 11, 10, 11, "=A", 1, 10, 11, 10);

      // Ausgabe Excel-Sheet
      sylk.toFile("TestSylkToFile.slk");
      System.out.println("TestSylkToFile.slk erfolgreich erzeugt");
    } catch (Exception e) {
      System.err.println(e.getMessage());
      e.printStackTrace();
    }
  }
}
